<div class="content ">
        
    <div class="mb-4">
        <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">
                        <i class="bi bi-globe2 small me-2"></i> Dashboard
                    </a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Products</li>
            </ol>
        </nav>
    </div>

    <div class="row">
        <div class="col-md-8">
            <div class="card">
                <div class="card-body">
                    <div class="d-md-flex gap-4 align-items-center">
                        <div class="d-none d-md-flex">All Products</div>
                        <div class="d-md-flex gap-4 align-items-center">
                            <form class="mb-3 mb-md-0">
                                <div class="row g-3">
                                    <div class="col-md-6">
                                        <select class="form-select">
                                            <option>Sort by</option>
                                            <option value="desc">Desc</option>
                                            <option value="asc">Asc</option>
                                        </select>
                                    </div>
                                    <div class="col-md-6">
                                        <select class="form-select">
                                            <option value="10">10</option>
                                            <option value="20">20</option>
                                            <option value="30">30</option>
                                            <option value="40">40</option>
                                            <option value="50">50</option>
                                        </select>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="dropdown ms-auto">
                            <a href="#" data-bs-toggle="dropdown" class="btn btn-primary dropdown-toggle" aria-haspopup="true" aria-expanded="false">Actions</a>
                            <div class="dropdown-menu dropdown-menu-end">
                                <a href="#" class="dropdown-item">Action</a>
                                <a href="#" class="dropdown-item">Another action</a>
                                <a href="#" class="dropdown-item">Something else here</a>
                            </div>
                        </div>

                        <li _ngcontent-rva-c51="" class="nav-item ms-3"><button _ngcontent-rva-c51="" class="btn btn-primary btn-icon" data-bs-toggle="modal" data-bs-target="#exampleModal"><i _ngcontent-rva-c51="" class="bi bi-plus-circle"></i> Add Product </button></li>
                    </div>
                </div>
            </div>
            <div class="table-responsive" tabindex="1" style="overflow: hidden; outline: none;">
                <table class="table table-custom table-lg mb-0" id="products">
                    <thead>
                    <tr>
                        <th>
                            <input class="form-check-input select-all" type="checkbox" data-select-all-target="#products" id="defaultCheck1">
                        </th>
                        <th></th>
                        <th>Photo</th>
                        <th>Name</th>
                        <th>Stock</th>
                        <th>Price</th>
                        <th class="text-end">Actions</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr *ngFor="let p of listproduct">
                        <td>
                            <input class="form-check-input" type="checkbox">
                        </td>
                        <td>
                            <a href="#">#1</a>
                        </td>
                        <td>
                            <a href="#">
                                <img src="http://localhost:8083/users/files/{{p.image}}" class="rounded" width="40" alt="...">
                            </a>
                        </td>
                        <td>{{p.name}}</td>
                        <td>
                            <span class="text-success">{{p.Quantite}}</span>
                        </td>
                        <td>{{p.prix}}</td>
                        
                        <td class="text-end">
                            <div class="dropdown">
                                <a href="#" data-bs-toggle="dropdown" class="btn btn-floating" aria-haspopup="true" aria-expanded="false">
                                    <i class="bi bi-three-dots"></i>
                                </a>
                                <div class="dropdown-menu dropdown-menu-end">
                                    <a [routerLink]="['/home/detailproduct',p.id]" class="dropdown-item">View detail</a>
                                    <a data-bs-toggle="modal" data-bs-target="#exampleModal1" class="dropdown-item">Edit</a>
                                    <a (click)="deletelistproduct(p.id)" class="dropdown-item text-danger">Delete</a>
                                </div>
                            </div>
                        </td>
                    </tr>
                 
                    </tbody>
                </table>
            </div>
            <nav class="mt-4" aria-label="Page navigation example">
                <ul class="pagination justify-content-center">
                    <li class="page-item">
                    </li>
                   
                </ul>
            </nav>
        </div>
        <div class="col-md-4">
            <h5 class="mb-4">Filter Products</h5>
            <div class="card mb-4">
                <div class="card-body">
                    <div class="d-flex justify-content-between align-items-center" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#keywordsCollapseExample" role="button">
                        <div>Keywords</div>
                        <div class="bi bi-chevron-down"></div>
                    </div>
                    <div class="collapse show mt-4" id="keywordsCollapseExample">
                        <div class="input-group">
                            <input type="text" class="form-control" placeholder="Phone, Headphone, Shoe ...">
                            <button class="btn btn-outline-light" type="button">
                                <i class="bi bi-search"></i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card mb-4">
                <div class="card-body">
                    <div class="d-flex justify-content-between align-items-center" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#categoriesCollapseExample" role="button">
                        <div>Categories</div>
                        <div class="bi bi-chevron-down"></div>
                    </div>
                    <div class="collapse show mt-4" id="categoriesCollapseExample">
                        <div class="d-flex flex-column gap-3">
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" id="categoryCheck1">
                                <label class="form-check-label" for="categoryCheck1">
                                    All
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" id="categoryCheck2">
                                <label class="form-check-label" for="categoryCheck2">
                                    Accessories
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" id="categoryCheck3">
                                <label class="form-check-label" for="categoryCheck3">
                                    Phone
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" id="categoryCheck4">
                                <label class="form-check-label" for="categoryCheck4">
                                    Headphone
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" id="categoryCheck5">
                                <label class="form-check-label" for="categoryCheck5">
                                    Camera
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card mb-4">
                <div class="card-body">
                    <div class="d-flex justify-content-between align-items-center" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#priceCollapseExample" role="button">
                        <div>Price</div>
                        <div class="bi bi-chevron-down"></div>
                    </div>
                    <div class="collapse show mt-4" id="priceCollapseExample">
                        <span class="irs irs--round js-irs-0 irs-with-grid"><span class="irs"><span class="irs-line" tabindex="0"></span><span class="irs-min" style="visibility: visible;">$1</span><span class="irs-max" style="visibility: visible;">$1 000</span><span class="irs-from" style="visibility: visible; left: 24.3654%;">$300</span><span class="irs-to" style="visibility: visible; left: 42.6887%;">$500</span><span class="irs-single" style="visibility: hidden; left: 24.1825%;">$300 — $500</span></span><span class="irs-grid" style="width: 91.5251%; left: 4.13747%;"><span class="irs-grid-pol" style="left: 0%"></span><span class="irs-grid-text js-grid-text-0" style="left: 0%; margin-left: -2.33723%;">1</span><span class="irs-grid-pol small" style="left: 20%"></span><span class="irs-grid-pol small" style="left: 15%"></span><span class="irs-grid-pol small" style="left: 10%"></span><span class="irs-grid-pol small" style="left: 5%"></span><span class="irs-grid-pol" style="left: 25%"></span><span class="irs-grid-text js-grid-text-1" style="left: 25%; visibility: visible; margin-left: -4.89074%;">251</span><span class="irs-grid-pol small" style="left: 45%"></span><span class="irs-grid-pol small" style="left: 40%"></span><span class="irs-grid-pol small" style="left: 35%"></span><span class="irs-grid-pol small" style="left: 30%"></span><span class="irs-grid-pol" style="left: 50%"></span><span class="irs-grid-text js-grid-text-2" style="left: 50%; visibility: visible; margin-left: -4.89074%;">501</span><span class="irs-grid-pol small" style="left: 70%"></span><span class="irs-grid-pol small" style="left: 65%"></span><span class="irs-grid-pol small" style="left: 60%"></span><span class="irs-grid-pol small" style="left: 55%"></span><span class="irs-grid-pol" style="left: 75%"></span><span class="irs-grid-text js-grid-text-3" style="left: 75%; visibility: visible; margin-left: -4.89074%;">750</span><span class="irs-grid-pol small" style="left: 95%"></span><span class="irs-grid-pol small" style="left: 90%"></span><span class="irs-grid-pol small" style="left: 85%"></span><span class="irs-grid-pol small" style="left: 80%"></span><span class="irs-grid-pol" style="left: 100%"></span><span class="irs-grid-text js-grid-text-4" style="left: 100%; margin-left: -6.80423%;">1 000</span></span><span class="irs-bar" style="left: 31.6309%; width: 18.3233%;"></span><span class="irs-shadow shadow-from" style="display: none;"></span><span class="irs-shadow shadow-to" style="display: none;"></span><span class="irs-handle from" style="left: 27.3934%;"><i></i><i></i><i></i></span><span class="irs-handle to type_last" style="left: 45.7167%;"><i></i><i></i><i></i></span></span><input id="price-filter" class="irs-hidden-input" tabindex="-1" readonly="">
                    </div>
                </div>
            </div>
            <div class="card mb-4">
                <div class="card-body">
                    <div class="d-flex justify-content-between align-items-center" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#colorsCollapseExample" role="button">
                        <div>Colors</div>
                        <div class="bi bi-chevron-down"></div>
                    </div>
                    <div class="collapse show mt-4" id="colorsCollapseExample">
                        <div class="color-filter-group d-flex gap-3">
                            <input class="form-check-input" type="checkbox" value="#1fa0c6" aria-label="..." style="background-color: rgb(31, 160, 198);">
                            <input class="form-check-input" type="checkbox" checked="" value="green" aria-label="..." style="background-color: green;">
                            <input class="form-check-input" type="checkbox" checked="" value="#c61faa" aria-label="..." style="background-color: rgb(198, 31, 170);">
                            <input class="form-check-input" type="checkbox" value="#1fc662" aria-label="..." style="background-color: rgb(31, 198, 98);">
                            <input class="form-check-input" type="checkbox" value="#9dc61f" aria-label="..." style="background-color: rgb(157, 198, 31);">
                            <input class="form-check-input" type="checkbox" checked="" value="#c67b1f" aria-label="..." style="background-color: rgb(198, 123, 31);">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    </div>










    
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">New message</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
              <form [formGroup]="productForm" >
                <div class="mb-3">
                    <input type="text" formControlName="name" class="form-control" placeholder="Enter name" autofocus="" required="">
                </div>
                <div class="mb-3">
                    <input type="text" formControlName="prix" class="form-control" placeholder="Enter prix" required="">
                </div>
                
                <div class="mb-3">
                    <input type="text" formControlName="description"class="form-control" placeholder="enter Description" required="">
                </div>

                <div class="mb-3">
                    <input type="text" formControlName="remise" class="form-control" placeholder="enter Remise" required="">
                </div>

                <div class="mb-3">
                    <input type="text" formControlName="quantite" class="form-control" placeholder="enter Quantite" required="">
                </div>
                <div class="mb-3">
                    <label for="validationCustom04" class="form-label">SubCategory</label>
                    <select class="form-select" id="validationCustom04" required  formControlName="idsubcategory">
                      <option  *ngFor="let c of listsubcategory"  [value]="c.id">{{c.namesub}}</option>
                      
                    </select>
                </div>

                <div class="group-input">
                    <input type="file" (change)="handleFileInput($event)"
                    name="file"  class="form-control form-control-user"
                        id="exampleRepeatPassword" placeholder="file">
                </div>


              
            </form>
                  
           
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-danger" data-bs-dismiss="modal" (click)="createproduct()">save</button>
            
            </div>

            </div>
            </div>
        </div>


















        <!-- update modal -->

        <!-- modal update -->

<div class="modal fade" id="exampleModal1" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">New message</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form [formGroup]="productForm">
                    <div class="mb-3">
                        <input type="text" formControlName="name" class="form-control" placeholder="Enter name"
                            autofocus="" required="">
                    </div>
                    <div class="mb-3">
                        <input type="text" formControlName="prix" class="form-control" placeholder="Enter prix"
                            required="">
                    </div>

                    <div class="mb-3">
                        <input type="text" formControlName="description" class="form-control"
                            placeholder="enter Description" required="">
                    </div>

                    <div class="mb-3">
                        <input type="text" formControlName="remise" class="form-control" placeholder="enter Remise"
                            required="">
                    </div>

                    <div class="mb-3">
                        <input type="text" formControlName="quantite" class="form-control" placeholder="enter Quantite"
                            required="">
                    </div>
                   




                </form>


            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-bs-dismiss="modal"
                    (click)="createproduct()">save</button>

            </div>
            </div>
            </div>
            </div>